## tac plus-4.0.4.28-2019.02.11-259251e6f1c2d5c98081a43c6f66d9eb2989cfd8

=== changelog ===
fb-tac-plus (4.0.4.19.1-2) UNRELEASED; urgency=medium

  [ Rob Shakir ]
  * Initial package of facebook's force of the tac_plus server.

  [ rjs ]
  * Fixed the initscripts for cases where multiple bind addresses
    are required. 
  * Updated location of config file

 -- rjs <rjs@pkghost0.rjs.jiveip.net>  Mon, 31 Aug 2015 16:36:03 +0100
