=== control ===
Source: fb-tac-plus
Maintainer: Rob Shakir <rjs@jive.com>
Section: net
Priority: optional
Standards-Version: 4.0.4.19
Build-Depends: libaudit0 (>= 1:1.7.18-1.1), libaudit-dev (>= 1:1.7.18-1.1), debhelper (>= 9), libpam0g (>= 1.1.3-7.1), libpam0g-dev (>= 1.1.3-7.1),  libwrap0 (>= 7.6.q-24), libwrap0-dev (>= 7.6.q-24), libc6 (>= 2.13-38+deb7u8), libc6-dev (>= 2.13-38+deb7u8), flex (>= 2.5.35-10.1), bison (>= 1:2.5.dfsg-2.1)

Package: fb-tac-plus
Architecture: any
Version: 4.0.4.19.1-2
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TACACS+ daemon for authentication.
 Packaged from the facebook fork found at
 https://github.com/facebook/tac_plus.
